<?php

namespace app\ic;

use engine\http\errors\NotFound;
use engine\http\HtmlResponse;
use engine\http\PlainTextResponse;

class MainHandler
    extends BaseHandler
{
    protected function beforeDispatch(string $http_method, string $action) {
        if (!isAdmin() && $action != 'index')
            throw new NotFound();
    }

    public function GET_index() {
        if (!isAdmin())
            return new HtmlResponse($this->skin->render('soon.twig'));

        return new PlainTextResponse('hello world');
    }
}